%bcond_with bootstrap

Name:           apache-resource-bundles
Epoch:          1
Version:        1.5
Release:        %mkrel 2
Group:          Development/Java
Summary:        Apache Resource Bundles
License:        Apache-2.0
URL:            https://maven.apache.org/apache-resource-bundles/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/apache/apache/resources/apache-resource-bundles/%{version}/apache-resource-bundles-%{version}-source-release.zip

Patch0:         0001-Port-ITs-to-Maven-Verifier-2.0.0-M1.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-remote-resources-plugin)
BuildRequires:  mvn(org.apache.maven.shared:maven-verifier)
BuildRequires:  mvn(org.apache.maven:maven-parent:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
%endif

%description
An archive which contains templates for generating the necessary license files
and notices for all Apache releases.

%prep
%setup -q
%patch -P 0 -p1
%pom_disable_module resources-bundles-sample
%mvn_alias :apache-jar-resource-bundle org.apache:

%build
# Use system version of apache-resource-bundles instead of reactor version
%mvn_build -- -Dversion.apache-resource-bundles=SYSTEM -Dmaven.compiler.release=11

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE




%changelog
* Wed Dec 25 2024 daviddavid <daviddavid> 1:1.5-2.mga10
+ Revision: 2129953
- Rebuilt for java-21-openjdk as system jdk

* Tue May 21 2024 ns80 <ns80> 1:1.5-1.mga10
+ Revision: 2065665
- new version 1.5 for java 21

* Thu Sep 08 2022 neoclust <neoclust> 37-1.mga9
+ Revision: 1886047
- New version 37

* Mon Jul 25 2022 neoclust <neoclust> 36-3.mga9
+ Revision: 1871008
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 36-2.mga9
+ Revision: 1870203
- Fix BR for bootstrap

* Tue Jun 07 2022 neoclust <neoclust> 36-1.mga9
+ Revision: 1863317
- New version 36
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 2-22.mga8
+ Revision: 1490087
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2-21.mga7
+ Revision: 1261435
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2-20.mga7
+ Revision: 1260183
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2-19.mga7
+ Revision: 1259762
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 2-18.mga6
+ Revision: 982194
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 2-17.mga6
+ Revision: 975482
- First rebuild of the java stack
- sync package apache-resource-bundles with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 2-17.mga5
+ Revision: 805581
- Clean rebuild
- Sync with Fedora 21
- Restore
+ sander85 <sander85>
- Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 2-15.mga5
+ Revision: 745113
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2-14.mga5
+ Revision: 677852
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2-13.mga4
+ Revision: 545693
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 2-12.mga4
+ Revision: 501587
- Build with xmvn
- Rebuild against new javapackages

* Fri Jan 11 2013 umeabot <umeabot> 2-10.mga3
+ Revision: 345897
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 2-9.mga3
+ Revision: 324311
- Remove bootstrap mode

* Sat Dec 01 2012 dmorgan <dmorgan> 2-8.mga3
+ Revision: 324306
- Build with maven3

* Wed Apr 27 2011 dmorgan <dmorgan> 2-7.mga1
+ Revision: 92251
- Rebuild after bootstrapping
- imported package apache-resource-bundles


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 25 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2-5
- Fix pom file names and add_to_maven_depmap calls (Resolves rhbz#655790)

* Wed Sep 8 2010 Alexander Kurtakov <akurtako@redhat.com> 2-4
- Add maven-site-plugin BR.
- Use newer names of maven plugins.

* Mon Feb  1 2010 Mary Ellen Foster <mefoster at gmail.com> 2-3
- Fix license 

* Tue Jan 19 2010 Mary Ellen Foster <mefoster at gmail.com> 2-2
- Add plugin dependencies from POMs
- Fix description
- Remove maven-release plugin (not on Fedora yet)

* Mon Jan 18 2010 Mary Ellen Foster <mefoster at gmail.com> 2-1
- Initial package
